CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_ChiaviMonitoraggio]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_ChiaviMonitoraggio',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.[RP_ChiaviMonitoraggio]   
INSERT INTO [C6StagingPeriodicoImmobiliare].[RP_ChiaviMonitoraggio]  
           (  
             [IdMonitoraggio],  
          [ChiaveProgetto],  
    [DtCreazione],  
    [stato],  
    [dtFineMonitoraggio],  
    [flagVisualizzaStor]  
            )  
    select *  
 from [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.ChiaviMonitoraggio   
    --filtro per non prendere le righe duplicate  
    WHERE stato = 1  
    -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_ChiaviMonitoraggio' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_ChiaviMonitoraggio'  
  )  
END